#!/bin/bash
cd /
git clone https://github.com/googlefonts/noto-emoji.git noto
cd noto
git checkout v2018-01-02-flag-update

cd /
git clone https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git debfont
cd debfont
cp /noto/svg/emoji_u1f52b.svg svg/emoji_u1f52b.svg
cp /noto/png/128/emoji_u1f52b.png png/128/emoji_u1f52b.png

rm png/32/emoji_u1f52b.png
rm png/72/emoji_u1f52b.png
rm png/512/emoji_u1f52b.png


rm -rf venv  # in case you have an old borked venv!
python3 -m venv venv
source venv/bin/activate
pip install -r requirements.txt
python size_check.py

# BYPASS_SEQUENCE_CHECK... necessary why?
#rm -rf build/ && time make -j 48
rm -rf build/ && time make BYPASS_SEQUENCE_CHECK='True' -j 48
